package jrummikub.model;

import java.util.ArrayList;
import java.util.List;

/**
 * The overall game settings
 */
public class GameSettings {
	private List<PlayerSettings> players = new ArrayList<PlayerSettings>();

	private int initialMeldThreshold;

	/**
	 * Creates new GameSettings with default values
	 */
	public GameSettings() {
		initialMeldThreshold = 30;
	}

	/**
	 * Returns the list containing the settings of all players
	 * 
	 * @return the player settings list
	 */
	public List<PlayerSettings> getPlayerList() {
		return players;
	}

	/**
	 * Sets the initial meld threshold
	 * 
	 * @param value
	 *          the value to set
	 */
	public void setInitialMeldThreshold(int value) {
		initialMeldThreshold = value;
	}

	/**
	 * Returns the initial meld threshold
	 * 
	 * @return the threshold
	 */
	public int getInitialMeldThreshold() {
		return initialMeldThreshold;
	}
}
