package jrummikub.model;

/**
 * Interface for the {@link Hand} model
 */
public interface IHand extends IStoneTray<Stone> {

	/**
	 * The number of used rows
	 * 
	 * @return the number of rows
	 */
	int getRowCount();

	/**
	 * Gets the amount of free space in a hand row
	 * 
	 * @param row
	 *          the row number
	 * @return the number of stones that can fit into the row
	 */
	int getFreeRowSpace(int row);
}
